Package Details: devkitppc r28-1

Git Clone URL: https://aur.archlinux.org/devkitppc.git (read-only)
Package Base: devkitppc
Description: PowerPC toolchain for Nintendo Gamecube/Wii/Wii U homebrew development
Upstream URL: http://www.devkitpro.org/
Keywords: dev dol dolphin elf2dol gxtexconv wiiload
Licenses: GPL
Submitter: tcamargo
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 21
Popularity: 0.000000
First Submitted: 2008-06-09 16:08
Last Updated: 2016-11-20 17:20

Latest Comments

carstene1ns commented on 2016-10-30 19:59

Sorry for the delay, it builds now with current GCC 6.

malosasha commented on 2016-10-22 09:21

can you fix the compil error?

cylgom commented on 2016-08-26 12:27

I've got this compilation error :

In file included from ../../../gcc-4.8.2/gcc/cp/except.c:1005:0:
cfns.gperf: In function ‘const char* libc_name_p(const char*, unsigned int)’:
cfns.gperf:101:1: error: ‘const char* libc_name_p(const char*, unsigned int)’ redeclared inline with ‘gnu_inline’ attribute
cfns.gperf:26:14: note: ‘const char* libc_name_p(const char*, unsigned int)’ previously declared here
cfns.gperf: At global scope:
cfns.gperf:26:14: warning: inline function ‘const char* libc_name_p(const char*, unsigned int)’ used but never defined

carstene1ns commented on 2016-03-28 19:39

KerrickStaley: Needs update for latest code on Sourceforge (e.g. binutils 2.26)

Yes, this may be true, but there is no official release out yet, so I am unflagging this package.

carstene1ns commented on 2015-10-21 22:27

streetwalrus: Done.
Sorry for the long delay, was on vacation when I got the notify and forgot about it since. :/
However, you could have just build it without isl in the meantime and it would work fine.

streetwalrus commented on 2015-09-11 01:51

Is it possible to remove the dependency on cloog ?
https://www.archlinux.org/todo/remove-cloogisl-dependency-in-gcc-packages/
I can't build an arm toolchain I need because isl is present on my system.

carstene1ns commented on 2014-06-23 02:59

Okay, I think I have it fixed now. The build script added the path to the new tools to the end of the search list, now it adds it at the beginning.

If this does not work, I also have a more aggressive fix, that removes the installed devkitppc from the path: https://paste.xinu.at/nHeAKA/

carstene1ns commented on 2014-06-22 22:57

I guess this happens because the old devkitppc binaries take precedence when they are found in the $PATH. Did not see this coming as I build my packages in clean chroots.
Anyways, will try to fix it soon. In the meantime you can use 'pacman -Rdd devkitppc' to remove the old version and then do the rebuild. CAUTION: this breaks your pacman database dependency tree. But this is only temporary, so it should be no problem ;)

delroth commented on 2014-06-22 16:50

If you try to rebuild this package while devkitppc is already installed, the newlib build will use the old, already installed version of devkitppc instead of the new one.

I was rebuilding devkitppc to link to newer libraries version, and this happened:
make[5]: Entering directory '/tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/powerpc-eabi/newlib/powerpc-eabi/newlib/libc/argz'
powerpc-eabi-gcc -B/tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/powerpc-eabi/newlib/powerpc-eabi/newlib/ -isystem /tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/powerpc-eabi/newlib/powerpc-eabi/newlib/targ-include -isystem /tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/newlib-2.0.0/newlib/libc/include -B/tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/powerpc-eabi/newlib/powerpc-eabi/libgloss/rs6000 -L/tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/powerpc-eabi/newlib/powerpc-eabi/libgloss/libnosys -L/tmp/yaourt-tmp-delroth/aur-devkitppc/src/buildscripts/.devkitPPC/newlib-2.0.0/libgloss/rs6000 -DPACKAGE_NAME=\"newlib\" -DPACKAGE_TARNAME=\"newlib\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"newlib\ 2.0.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -I. -I../../../../../../newlib-2.0.0/newlib/libc/argz -DREENTRANT_SYSCALLS_PROVIDED -D__DEFAULT_UTF8__ -ffunction-sections -fdata-sections -fno-builtin -g -O2 -c -o lib_a-dummy.o `test -f 'dummy.c' || echo '../../../../../../newlib-2.0.0/newlib/libc/argz/'`dummy.c
/opt/devkitpro/devkitPPC/bin/../libexec/gcc/powerpc-eabi/4.8.2/cc1: error while loading shared libraries: libisl.so.10: cannot open shared object file: No such file or directory
Makefile:386: recipe for target 'lib_a-dummy.o' failed
make[5]: *** [lib_a-dummy.o] Error 1

carstene1ns commented on 2014-04-06 03:22

Updated to release 27. This package now compiles the toolchain for you and links against Arch's current version of the libraries (python, freeimage, ncurses, etc.).
FYI: You need at least 2gb space, a good amount of ram and a bit of time to compile this. You can also switch to devkitppc-bin[1], which is precompiled like this package used to be. However, it links against old library versions and will likely break in the future.

[1]: https://aur.archlinux.org/packages/devkitppc-bin/

All comments